@echo off

REM Place this batch file, and 1_HRDLC_Clean.bat, in the working directory you are using for processing Skyrim HRDLC BSAs.
REM When the batch run completes, check the Logs in working directory
REM This file is for the updated version of the HRDLC repair that does not use drive substitution

REM 2 lines added 7/25/2013 to try to make sure Windows gets the proper current directory
REM tests added 8/18/2013 and 8/21/2013 to make sure the batch files are in the right folder and the folder structures are correct
REM test added 8/28/2013 to ensure that some files which won't be delete3d are present

@setlocal enableextensions
@cd /d "%~dp0"


echo.
echo The system says the Working Directory is   %cd%
echo This directory should include the "Vanilla Extracted" directory
echo The extracted HRDLC textures should include all textures from the 3 HRDLC and not have been edited to remove files prior to running this batch file
echo If any of the above is incorrect terminate the processing and fix the problem
echo.

IF NOT EXIST "%cd%\Vanilla Extracted" echo Error: The Vanilla Extracted directory is not in the working directory; fix this before proceeding
echo.
pause

IF EXIST "%cd%\Vanilla Extracted\HRDLC3\textures\dlc02\landscape\volcanic_ash_rocks_01_d.dds" IF EXIST "%cd%\Vanilla Extracted\HRDLC2\textures\dlc01\clutter\aurielstatue\pedestal.dds" goto Done1

echo A quick spot check showed that some textures to be deleted are missing; if this is OK proceed otherwise terminate
echo.

:Done1

IF EXIST "%cd%\Vanilla Extracted\HRDLC1\textures\clothes\mageapprentice\m\robe.dds" IF EXIST "%cd%\Vanilla Extracted\HRDLC2\textures\dungeons\caves\cavebaseroots01.dds" goto Done2

echo A quick spot check showed that some textures from the HRDLC are missing; if this is OK proceed otherwise terminate
echo.

:Done2

@echo on
pause

1_HRDLC_Clean.bat >HRDLC_Clean.log 2>HRDLC_Clean_ERROR.log
